Loading...
Searching...
No Matches
volk_8ic_deinterleave_real_16i.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <immintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_8ic_deinterleave_real_16i_u_H

## Functions

static void | volk_8ic_deinterleave_real_16i_a_avx (int16_t *iBuffer, const lv_8sc_t *complexVector, unsigned int num_points)
static void | volk_8ic_deinterleave_real_16i_generic (int16_t *iBuffer, const lv_8sc_t *complexVector, unsigned int num_points)
static void | volk_8ic_deinterleave_real_16i_neon (int16_t *iBuffer, const lv_8sc_t *complexVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_8ic_deinterleave_real_16i_u_H

#define INCLUDED_volk_8ic_deinterleave_real_16i_u_H

## Function Documentation

## volk_8ic_deinterleave_real_16i_a_avx()

void volk_8ic_deinterleave_real_16i_a_avx | ( | int16_t * | iBuffer,
|  | const lv_8sc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_8ic_deinterleave_real_16i_generic()

void volk_8ic_deinterleave_real_16i_generic | ( | int16_t * | iBuffer,
|  | const lv_8sc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_8ic_deinterleave_real_16i_neon()

void volk_8ic_deinterleave_real_16i_neon | ( | int16_t * | iBuffer,
|  | const lv_8sc_t * | complexVector,
|  | unsigned int | num_points )

inline static